This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 439197 - thinkpad x61 tablet crash when undocking
thinkpad x61 tablet crash when undocking
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 443222 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 10:56 EDT by Dan Winship
Modified: 2010-04-27 11:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.25.6-55.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 11:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2008-03-27 10:56:40 EDT
With recent Fedora 8 and Rawhide kernels (eg, 2.6.25-0.155.rc6.git8.fc9.i686),
my Thinkpad X61t completely wedges immediately after being undocked.

If logged in as root on a vt, I see this right before it hangs:

ACPI: \SB_.GDCK - undocking
usb 1-4: USB disconnect, address 3
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 00/00:00:00:00:00/00:00:00:00:00/00 Emask 0x2 (HSM
	 violation)

(Copied by hand so there may be slight typos? After it prints that, that the
cursor keeps blinking, but nothing else works. Re-docking does not help.)

This did not happen with older F8 kernels, although I don't know exactly when it
broke, because I hadn't been using the dock for a while. Probably within the
last two months, maybe the last month.
Comment 1 Chuck Ebbert 2008-04-11 19:23:55 EDT
Is this still happening with the latest kernels?
Comment 2 Dan Winship 2008-04-14 14:09:06 EDT
Yup, still happens with 2.6.25-0.218.rc8.git7
Comment 3 Richard Hughes 2008-05-12 05:06:29 EDT
Ccan you please attach:

lshal | grep "system\."

Thanks.
Comment 4 Dan Winship 2008-05-12 09:13:24 EDT
  system.chassis.manufacturer = 'LENOVO'  (string)
  system.chassis.type = 'Notebook'  (string)
  system.firmware.release_date = '01/29/2008'  (string)
  system.firmware.vendor = 'LENOVO'  (string)
  system.firmware.version = '7SET24WW (1.10 )'  (string)
  system.formfactor = 'laptop'  (string)
  system.formfactor.subtype = 'tabletpc'  (string)
  system.hardware.primary_video.product = 10754  (0x2a02)  (int)
  system.hardware.primary_video.vendor = 32902  (0x8086)  (int)
  system.hardware.product = '776796U'  (string)
  system.hardware.serial = 'LVA3035'  (string)
  system.hardware.uuid = 'BABB3EC0-47E7-11DC-B3CA-9E9F85321A12'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad X61 Tablet'  (string)
  system.kernel.machine = 'i686'  (string)
  system.kernel.name = 'Linux'  (string)
  system.kernel.version = '2.6.25-14.fc9.i686'  (string)
Comment 5 Bug Zapper 2008-05-14 04:19:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Seva 2008-05-14 13:09:04 EDT
This happened on ThinkPad X60s with 2.6.25-14.fc9.i686 on the first boot after
install, but I haven't been able to reproduce it.

  system.chassis.manufacturer = 'LENOVO'  (string)
  system.chassis.type = 'Notebook'  (string)
  system.firmware.release_date = '10/04/2007'  (string)
  system.firmware.vendor = 'LENOVO'  (string)
  system.firmware.version = '7BETD3WW (2.14 )'  (string)
  system.formfactor = 'laptop'  (string)
  system.hardware.primary_video.product = 10146  (0x27a2)  (int)
  system.hardware.primary_video.vendor = 32902  (0x8086)  (int)
  system.hardware.product = '170469U'  (string)
  system.hardware.serial = 'XXXNNNN'  (string)
  system.hardware.uuid = 'NNNNNNXN-NXNN-NNXX-XXXN-XNNNXXNNNNXN'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad X60s'  (string)
  system.kernel.machine = 'i686'  (string)
  system.kernel.name = 'Linux'  (string)
  system.kernel.version = '2.6.25-14.fc9.i686'  (string)
Comment 7 Seva 2008-05-14 13:54:26 EDT
I've upgraded my BIOS to 2.16, which is the latest on Lenovo's web site.

If I press the undock button on the dock, the green lights starts blinking as
usual but never goes solid.  Upon removal of the laptop from the docking station
system emits a few error beeps from the PC speaker.  Keyboard starts being very
slow to respond (i.e. pressing a key takes a few seconds to appear on the
screen) and dmesg output shows nothing but this over and over again:

  ACPI: \_SB_.PCI0.IDE0.PRIM.MSTR: Bay event
Comment 8 Seva 2008-05-14 17:07:32 EDT
Same thing happens on docking (this is with acpi_osi=Linux), the laggy keyboard
and the rest of the system is because kacpi_notify starts eating 100% of the CPU.
Comment 9 Chuck Ebbert 2008-05-27 14:07:48 EDT
*** Bug 443222 has been marked as a duplicate of this bug. ***
Comment 10 Chuck Ebbert 2008-05-27 14:12:12 EDT
Should be fixed in kernel-2.6.25.4-33
Comment 11 Fedora Update System 2008-06-11 21:20:25 EDT
kernel-2.6.25.6-24.fc8 has been submitted as an update for Fedora 8
Comment 12 Fedora Update System 2008-06-11 21:38:39 EDT
kernel-2.6.25.6-55.fc9 has been submitted as an update for Fedora 9
Comment 13 Dan Winship 2008-06-11 22:20:15 EDT
yay. worksforme with 2.6.25.4-30
Comment 14 Dan Winship 2008-06-12 14:29:59 EDT
spoke too soon; after redocking and undocking again, it crashed. i'll debug more
tonight
Comment 15 Fedora Update System 2008-06-12 22:27:05 EDT
kernel-2.6.25.6-55.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Dan Winship 2008-06-19 22:07:02 EDT
This is still broken for me with 2.6.25.6-55.fc9. It undocked successfully once
as mentioned in comment #13, but since then it has crashed every time I've tried
to undock. It no longer prints the ata errors on console though, it just wedges
with no messages at all.
Comment 17 Bug Zapper 2009-06-09 19:53:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Dan Winship 2009-06-12 08:30:18 EDT
still broken in F11, kernel-PAE-2.6.29.4-167.fc11.i686
Comment 19 Bug Zapper 2010-04-27 07:57:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Dan Winship 2010-04-27 11:24:16 EDT
this seems to work with the current f12 kernel, 2.6.32.9-70

Note You need to log in before you can comment on or make changes to this bug.